### Class

# Cogl Display

#### Description [src]

    final class Cogl.Display : GObject.Object
    {
      /* No available fields */
    }

Common aspects of a display pipeline

The basic intention for this object is to let the application configure common display preferences before creating a context, and there are a few different aspects to this…

Firstly there are options directly relating to the physical display pipeline that is currently being used including the digital to analogue conversion hardware and the screens the user sees.

Another aspect is that display options may constrain or affect how onscreen framebuffers should later be configured. The original rationale for the display object in fact was to let us handle GLX and EGLs requirements that framebuffers must be “compatible” with the config associated with the current context meaning we have to force the user to describe how they would like to create their onscreen windows before we can choose a suitable fbconfig and create a GLContext.

#### Ancestors

- GObject

#### Constructors

###### cogl_display_new

Explicitly allocates a new `CoglDisplay` object to encapsulate the common state of the display pipeline that applies to the whole application.

#### Instance methods

###### cogl_display_get_renderer

Queries the `CoglRenderer` associated with the given `display`.

###### cogl_display_setup

Explicitly sets up the given `display` object. Use of this api is optional since Cogl will internally setup the display if not done explicitly.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CoglDisplayClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.